/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libpqxx", "index.html", [
    [ "Accessing results and result rows", "a02036.html", [
      [ "Querying rows of data", "a02036.html#autotoc_md0", null ],
      [ "Streaming rows", "a02036.html#autotoc_md1", null ],
      [ "Results with metadata", "a02036.html#autotoc_md2", null ]
    ] ],
    [ "Binary data", "a02037.html", [
      [ "Caveats", "a02037.html#autotoc_md3", null ]
    ] ],
    [ "Supporting additional data types", "a02038.html", [
      [ "Converting types", "a02038.html#autotoc_md4", null ],
      [ "Supporting a new type", "a02038.html#autotoc_md5", null ],
      [ "Your type", "a02038.html#autotoc_md6", null ],
      [ "Specialise <tt>type_name</tt>", "a02038.html#autotoc_md7", null ],
      [ "Specialise <tt>nullness</tt>", "a02038.html#autotoc_md8", null ],
      [ "Specialise <tt>string_traits</tt>", "a02038.html#autotoc_md9", [
        [ "<tt>from_string</tt>", "a02038.html#autotoc_md10", null ],
        [ "<tt>to_buf</tt>", "a02038.html#autotoc_md11", null ],
        [ "<tt>into_buf</tt>", "a02038.html#autotoc_md12", null ],
        [ "<tt>size_buffer</tt>", "a02038.html#autotoc_md13", null ]
      ] ],
      [ "Optional: Specialise <tt>is_unquoted_safe</tt>", "a02038.html#autotoc_md14", null ],
      [ "Optional: Specialise <tt>param_format</tt>", "a02038.html#autotoc_md15", null ]
    ] ],
    [ "String escaping", "a02039.html", [
      [ "SQL injection", "a02039.html#autotoc_md16", null ],
      [ "Using the esc functions", "a02039.html#autotoc_md17", null ]
    ] ],
    [ "Getting started", "a02040.html", null ],
    [ "Statement parameters", "a02041.html", [
      [ "Dynamic parameter lists", "a02041.html#autotoc_md18", null ],
      [ "Generating placeholders", "a02041.html#autotoc_md19", null ]
    ] ],
    [ "Performance features", "a02042.html", null ],
    [ "Prepared statements", "a02043.html", [
      [ "Preparing a statement", "a02043.html#autotoc_md20", null ],
      [ "Parameters", "a02043.html#autotoc_md21", null ],
      [ "A special prepared statement", "a02043.html#autotoc_md22", null ],
      [ "Performance note", "a02043.html#autotoc_md23", null ],
      [ "Zero bytes", "a02043.html#autotoc_md24", null ]
    ] ],
    [ "Streams", "a02044.html", [
      [ "Null values", "a02044.html#autotoc_md25", null ],
      [ "stream_from", "a02044.html#autotoc_md26", null ],
      [ "stream_to", "a02044.html#autotoc_md27", null ]
    ] ],
    [ "Thread safety", "a02045.html", null ],
    [ "Deprecated List", "a00224.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00224.html",
"a01095.html#a3e9460d4cad761e5ae2ae95aab4f777f",
"a01299.html#a5c13391d9f288b83419cca7865b5be62",
"a01387.html#a218bca530d98b3ca86568913ddbd9f9a",
"a01475.html#a484ca2c792531e29ff0b48048b0eebc8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';